Package com.saxonica.ee.bytecode.converter

## Class ConverterCompiler

- java.lang.Object
- - com.saxonica.ee.bytecode.converter.ConverterCompiler

- Direct Known Subclasses:
    `AnyTypeToStringConverterCompiler`, `BooleanToDoubleCompiler`, `BooleanToFloatCompiler`, `BooleanToIntegerCompiler`, `BooleanToStringCompiler`, `BooleanToUntypedAtomicCompiler`, `ConverterCompiler.GenericConverterCompiler`, `DoubleToBooleanCompiler`, `DoubleToFloatCompiler`, `DoubleToIntegerCompiler`, `DoubleToStringCompiler`, `DoubleToUntypedAtomicCompiler`, `FloatToBooleanCompiler`, `FloatToDoubleCompiler`, `FloatToIntegerCompiler`, `FloatToStringCompiler`, `FloatToUntypedAtomicCompiler`, `IntegerToBooleanCompiler`, `IntegerToDoubleCompiler`, `IntegerToFloatCompiler`, `IntegerToStringCompiler`, `IntegerToUntypedAtomicCompiler`, `StringToBooleanCompiler`, `StringToDoubleCompiler`, `StringToFloatCompiler`, `StringToUntypedAtomicCompiler`

      public abstract class ConverterCompiler
      extends java.lang.Object

  This class generates code to implement a casting conversion.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ConverterCompiler.GenericConverterCompiler` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConverterCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `compileToItem​(CompilerService compiler, Expression expression)` |
    `void` | `compileToPrimitive​(CompilerService compiler, Expression expression, java.lang.Class requiredClass, OnEmpty onEmpty)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConverterCompiler

          public ConverterCompiler()

  - ### Method Detail

    - #### compileToItem

          public abstract void compileToItem​(CompilerService compiler,
                                             Expression expression)
                                      throws CannotCompileException

      Throws:
        `CannotCompileException`

    - #### compileToPrimitive

          public void compileToPrimitive​(CompilerService compiler,
                                         Expression expression,
                                         java.lang.Class requiredClass,
                                         OnEmpty onEmpty)
                                  throws CannotCompileException

      Throws:
        `CannotCompileException`